com.genesyslab.wfm8.API.service.config800

## Class CfgContractShift

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgContractShift

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContractShift
      extends java.lang.Object
      implements java.io.Serializable

  Defines Contract-Shift association
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmContractId` Contarct ID (`CfgContract`)
    `protected int` | `wmShiftId` Shift ID (`CfgShift`)
    `protected int` | `wmShiftType` Contract Shift type (`ECfgShiftType`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContractShift()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `int` | `getWmShiftType()` Gets the value of the wmShiftType property.
    `int` | `hashCode()`
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmShiftType(int value)` Sets the value of the wmShiftType property.
    `java.lang.String` | `toString()`
    `CfgContractShift` | `withWmContractId(int value)`
    `CfgContractShift` | `withWmShiftId(int value)`
    `CfgContractShift` | `withWmShiftType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmContractId

          protected int wmContractId

      Contarct ID (`CfgContract`)

    - #### wmShiftId

          protected int wmShiftId

      Shift ID (`CfgShift`)

    - #### wmShiftType

          protected int wmShiftType

      Contract Shift type (`ECfgShiftType`)

  - ### Constructor Detail

    - #### CfgContractShift

          public CfgContractShift()

  - ### Method Detail

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmShiftType

          public int getWmShiftType()

      Gets the value of the wmShiftType property.

    - #### setWmShiftType

          public void setWmShiftType(int value)

      Sets the value of the wmShiftType property.

    - #### withWmContractId

          public CfgContractShift withWmContractId(int value)

    - #### withWmShiftId

          public CfgContractShift withWmShiftId(int value)

    - #### withWmShiftType

          public CfgContractShift withWmShiftType(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.